# imagetypes

(PHP 4 >= 4.0.2, PHP 5, PHP 7)

imagetypes — Return the image types supported by this PHP build

### Description

imagetypes ( void ) : int

Returns the image types supported by the current PHP installation.

### Return Values

Returns a bit-field corresponding to the image formats supported by the version of GD linked into PHP. The following bits are returned, `IMG_BMP` | `IMG_GIF` | `IMG_JPG` | `IMG_PNG` | `IMG_WBMP` | `IMG_XPM` | `IMG_WEBP`.

### Examples

Example #1 Checking for PNG support

`<?php
if (imagetypes() & IMG_PNG) {
echo "PNG Support is enabled";
}
?>`

### Changelog

Version | Description
--- | ---
7.2.0 | `IMG_BMP` added.
5.6.25, 7.0.10 | `IMG_WEBP` added.

### See Also

- gd_info() - Retrieve information about the currently installed GD library